Name: 		crossftp
Version: 	1.86.2
Release: 	%mkrel 1

Summary: 	Java based FTP Client
Group:   	Networking/File transfer
License: 	Priority
URL:     	http://www.crossftp.com/download.htm
Source:  	%name-all-bin-%version.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
Requires:	java
Provides: %{name} = %{version}
Obsoletes: %{name} < %{version}


%description
CrossFTP Pro is a reliable FTP client supporting FXP,
SFTP, WebDav, MobileMe iDisk, and Amazon S3.


%prep

%setup -q -n %{name}-all-bin-%{version}
#.deb offers a free version choice. So...
#We want to use the "select free version"... from the .deb
cd crossftp-all-bin
ar -vx crossftp_1.86.2.deb 
tar -xvzf data.tar.gz
 
%install
rm -rf %{buildroot}

# Create folders
mkdir -p %{buildroot}/%_datadir/applications
mkdir -p %{buildroot}/%_datadir/crossftp

cp -r crossftp-all-bin/usr/ %{buildroot}/

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/share/crossftp
./crossftp.sh
cd /
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%_bindir/crossftp
%_datadir/applications/crossftp.desktop
%_datadir/crossftp/commons-logging.jar
%_datadir/crossftp/crossftp-resources.jar
%_datadir/crossftp/crossftp.jar
%_datadir/crossftp/bcprov-jdk15on-147.jar
%_datadir/crossftp/crossftp.sh
%_datadir/crossftp/jnlp.jar
%_datadir/crossftp/license.txt
%_datadir/crossftp/logo_big.png
%_datadir/crossftp/looks-2.2.1.jar
%_datadir/crossftp/readme.txt


%changelog
* Wed Oct 24 2012 Neal <nealbrks0 at gmail dot com> 1.86.2-1pclos2012
- process

* Tue Oct 23 2012 Ken <lxgator@gmail.com> 1.86.2-1pclos2012
- 1.86.2
- update from 1.65a
